Bug 521613 - 'service autofs restart' fails after upgrade
Summary: 'service autofs restart' fails after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 09:18 UTC by Anders Blomdell
Modified: 2009-12-18 11:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:42:36 UTC


Attachments (Terms of Use)

Description Anders Blomdell 2009-09-07 09:18:26 UTC
Description of problem:

After upgrading from autofs-5.0.4-36.i586 to autofs-5.0.4-38.i586, 'service autofs restart' fails to restart automounter.

Version-Release number of selected component (if applicable):


How reproducible:

Always until reboot.

Steps to Reproduce:
1. Install autofs-5.0.4-36.i586 and start automounter
2. Upgrade to autofs-5.0.4-38.i586 without rebooting
3. service autofs restart
  
Actual results:

# service autofs restart
Stopping automount:                                        [  OK  ]
Starting automount: automount: program is already running.
                                                           [  OK  ]

Expected results:

# service autofs restart
Stopping automount:                                        [  OK  ]
Starting automount:                                        [  OK  ]

Additional info:

The reason is that /etc/rc.d/init.d/autofs uses 'pidof /usr/sbin/automount', and after upgrade the running automount process is referring to the same inode as the new /usr/sbin/automount.

Comment 1 Anders Blomdell 2009-09-12 17:04:07 UTC
OOPS, the last paragraph should of course be:

The reason is that /etc/rc.d/init.d/autofs uses 'pidof /usr/sbin/automount',
and after upgrade the running automount process is NOT referring to the same inode
as the new /usr/sbin/automount.

Comment 2 Ian Kent 2009-09-14 05:47:33 UTC
Yeah, I think that pidof is broken.
I think that changing it to use ps and grep should work OK.

Ian

Comment 3 Bug Zapper 2009-11-18 12:14:03 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-12-18 09:42:36 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Anders Blomdell 2009-12-18 09:56:08 UTC
Bug still exists in Fedora-11

Comment 6 Ian Kent 2009-12-18 10:53:07 UTC
(In reply to comment #5)
> Bug still exists in Fedora-11  

Are you sure, it should have been fixed in autofs-5.0.4-47.

Comment 7 Anders Blomdell 2009-12-18 11:41:15 UTC
Sorry, yes it works. I looked at the code, saw tha pidof was still there, but missed the fact that it was 'pidof $prog' instead of 'pidof $DAEMON'. I humbly apologize.


Note You need to log in before you can comment on or make changes to this bug.